From 5c11c1908dc135dd068b58facd958eadaa4b4308 Mon Sep 17 00:00:00 2001
From: Fabio Ritrovato <exsephiroth87@gmail.com>
Date: Sat, 24 Jan 2009 20:16:52 +0100
Subject: [PATCH] Implements --qt-playlist-visible

---
 modules/gui/qt4/main_interface.cpp |    3 ++-
 modules/gui/qt4/qt4.cpp            |    7 +++++++
 2 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/modules/gui/qt4/main_interface.cpp b/modules/gui/qt4/main_interface.cpp
index e1e3615..8ec1d49 100644
--- a/modules/gui/qt4/main_interface.cpp
+++ b/modules/gui/qt4/main_interface.cpp
@@ -236,10 +236,11 @@ MainInterface::MainInterface( intf_thread_t *_p_intf ) : QVLCMW( _p_intf )
     }
 
     bool b_visible = settings->value( "playlist-visible", 0 ).toInt();
+    bool b_force_visible = config_GetInt( p_intf, "qt-playlist-visible" );
     settings->endGroup();
 
     /* Playlist */
-    if( b_visible ) togglePlaylist();
+    if( b_visible || b_force_visible ) togglePlaylist();
 
     /* Final sizing and showing */
     setMinimumWidth( __MAX( controls->sizeHint().width(),
diff --git a/modules/gui/qt4/qt4.cpp b/modules/gui/qt4/qt4.cpp
index 1f5bdd2..a6b183a 100644
--- a/modules/gui/qt4/qt4.cpp
+++ b/modules/gui/qt4/qt4.cpp
@@ -89,6 +89,11 @@ static void ShowDialog   ( intf_thread_t *, int, int, intf_dialog_args_t * );
             " - The interface will resize to the native video size\n" \
             " - The video will fit to the interface size\n " \
             "By default, interface resize to the native video size." )
+            
+#define PLAYLISTVISIBLE_TEXT N_( "Show the playlist on startup" )
+#define PLAYLISTVISIBLE_LONGTEXT N_( "Force the playlist to be " \
+                                     "shown on startup.\n" \
+                                     "By default, it uses the last setting." )
 
 #define TITLE_TEXT N_( "Show playing item name in window title" )
 #define TITLE_LONGTEXT N_( "Show the name of the song or video in the " \
@@ -184,6 +189,8 @@ vlc_module_begin ()
               MINIMIZED_LONGTEXT, true);
     add_bool( "qt-video-autoresize", true, NULL, KEEPSIZE_TEXT,
               KEEPSIZE_LONGTEXT, false )
+    add_bool( "qt-playlist-visible", false, NULL, PLAYLISTVISIBLE_TEXT,
+              PLAYLISTVISIBLE_LONGTEXT, false )
     add_bool( "qt-name-in-title", true, NULL, TITLE_TEXT,
               TITLE_LONGTEXT, false );
     add_bool( "qt-fs-controller", true, NULL, QT_FULLSCREEN_TEXT,
-- 
1.5.4.3

